@ECHO OFF
REM -- DOS script for installing the Gameboy C development files

CALL configure.bat

REM -- make the target directories
ECHO ### Gameboy: making target root directories ###
IF NOT EXIST %Target_Include_Root_Dir%\NUL  MKDIR %Target_Include_Root_Dir% >NUL
IF NOT EXIST %Target_Src_Root_Dir%\NUL  MKDIR %Target_Src_Root_Dir% >NUL
IF NOT EXIST %Target_Obj_Root_Dir%\NUL  MKDIR %Target_Root_Obj_Dir% >NUL

REM -- install files from the relevant subdirectories
PUSHD gbdk
CALL prepare.bat
POPD

PUSHD gbextended
CALL prepare.bat
POPD

PUSHD loderunner
CALL prepare.bat
POPD
